GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
resolver_factory.c File Reference
`#include "src/core/client_config/resolver_factory.h"`

## Functions
void | grpc_resolver_factory_ref (grpc_resolver_factory *factory)
void | grpc_resolver_factory_unref (grpc_resolver_factory *factory)
grpc_resolver * | grpc_resolver_factory_create_resolver (grpc_resolver_factory *factory, grpc_uri *uri, grpc_subchannel_factory *subchannel_factory)
| Create a resolver instance for a name. More...

## Function Documentation

grpc_resolver* grpc_resolver_factory_create_resolver | ( | grpc_resolver_factory * | factory,
|  | grpc_uri * | uri,
|  | grpc_subchannel_factory * | subchannel_factory
| ) |  |

Create a resolver instance for a name.

void grpc_resolver_factory_ref | ( | grpc_resolver_factory * | factory | ) |

void grpc_resolver_factory_unref | ( | grpc_resolver_factory * | factory | ) |